​
Select Service
ves-io-schema-fast_acl_rule-API-Get
Published April 5, 2023 | Last modified October 28, 2026
Examples of getting fast_acl_rule
Usecase:
Get fast-acl-rule-white-list from current white list
Request using vesctl:
vesctl configuration get fast_acl_rule fast-acl-rule-white-list --namespace system
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: fast-acl-rule-white-list namespace: systemreferringObjects: []resourceVersion: "1508"spec: action: simpleAction: ALLOW ipPrefixSet: ref: - kind: ip_prefix_set name: acmecorp-white-list namespace: system tenant: acmecorp port: []status: []systemMetadata: creationTimestamp: "2026-09-28T04:25:14.640345Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: d023cc11-37b6-469d-9a1c-a425faf6d2ceRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build3348201650_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/system/fast_acl_rules/fast-acl-rule-white-list?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 1130Content-Type: application/jsonDate: Mon, 28 Sep 2026 04:25:14 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "1508", "metadata": { "name": "fast-acl-rule-white-list", "namespace": "system", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "d023cc11-37b6-469d-9a1c-a425faf6d2ce", "creation_timestamp": "2026-09-28T04:25:14.640345Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "action": { "simple_action": "ALLOW" }, "port": [ ], "ip_prefix_set": { "ref": [ { "kind": "ip_prefix_set", "uid": "", "tenant": "acmecorp", "namespace": "system", "name": "acmecorp-white-list" } ] } }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}